ExpressionParserTokenManager (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.exp.parser, class: ExpressionParserTokenManager

# Class ExpressionParserTokenManager

java.lang.Object
org.apache.cayenne.exp.parser.ExpressionParserTokenManager

All Implemented Interfaces:
  `ExpressionParserConstants`

public class ExpressionParserTokenManager extends Object implements ExpressionParserConstants
Token Manager.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `curChar`
  `PrintStream`
  `debugStream`
  Debug output.
  `protected JavaCharStream`
  `input_stream`
  `static final int[]`
  `jjnewLexState`
  Lex State array.
  `static final String[]`
  `jjstrLiteralImages`
  Token literal values.
  `static final String[]`
  `lexStateNames`
  Lexer state names.

  ### Fields inherited from interface ExpressionParserConstants

  `ABS, AGGREGATE, ASTERISK, AVG, CONCAT, COUNT, CURRENT_DATE, CURRENT_TIME, CURRENT_TIMESTAMP, DAY, DAY_OF_MONTH, DAY_OF_WEEK, DAY_OF_YEAR, DEC_DIGITS, DEC_FLT, DEFAULT, DIGIT, DISTINCT, DOLLAR_SIGN, DOUBLE_QUOTED_STRING, EOF, ESC, EXISTS, EXPONENT, FALSE, FLOAT_LITERAL, FLT_SUFF, FUNCTION, HOUR, IDENTIFIER, INT_LITERAL, LENGTH, LETTER, LOCATE, LOWER, MAX, MIN, MINUTE, MOD, MONTH, NOT_EXISTS, NULL, OPERATOR, PROPERTY_PATH, SECOND, SINGLE_QUOTED_STRING, SQRT, STRING_ESC, SUBSTRING, SUM, tokenImage, TRIM, TRUE, UPPER, WEEK, WithinDoubleQuoteLiteral, WithinSingleQuoteLiteral, YEAR`
  Modifier and Type
  Field
  Description
  `static final int`
  `ABS`
  RegularExpression Id.
  `static final int`
  `AGGREGATE`
  RegularExpression Id.
  `static final int`
  `ASTERISK`
  RegularExpression Id.
  `static final int`
  `AVG`
  RegularExpression Id.
  `static final int`
  `CONCAT`
  RegularExpression Id.
  `static final int`
  `COUNT`
  RegularExpression Id.
  `static final int`
  `CURRENT_DATE`
  RegularExpression Id.
  `static final int`
  `CURRENT_TIME`
  RegularExpression Id.
  `static final int`
  `CURRENT_TIMESTAMP`
  RegularExpression Id.
  `static final int`
  `DAY`
  RegularExpression Id.
  `static final int`
  `DAY_OF_MONTH`
  RegularExpression Id.
  `static final int`
  `DAY_OF_WEEK`
  RegularExpression Id.
  `static final int`
  `DAY_OF_YEAR`
  RegularExpression Id.
  `static final int`
  `DEC_DIGITS`
  RegularExpression Id.
  `static final int`
  `DEC_FLT`
  RegularExpression Id.
  `static final int`
  `DEFAULT`
  Lexical state.
  `static final int`
  `DIGIT`
  RegularExpression Id.
  `static final int`
  `DISTINCT`
  RegularExpression Id.
  `static final int`
  `DOLLAR_SIGN`
  RegularExpression Id.
  `static final int`
  `DOUBLE_QUOTED_STRING`
  RegularExpression Id.
  `static final int`
  `EOF`
  End of File.
  `static final int`
  `ESC`
  RegularExpression Id.
  `static final int`
  `EXISTS`
  RegularExpression Id.
  `static final int`
  `EXPONENT`
  RegularExpression Id.
  `static final int`
  `FALSE`
  RegularExpression Id.
  `static final int`
  `FLOAT_LITERAL`
  RegularExpression Id.
  `static final int`
  `FLT_SUFF`
  RegularExpression Id.
  `static final int`
  `FUNCTION`
  RegularExpression Id.
  `static final int`
  `HOUR`
  RegularExpression Id.
  `static final int`
  `IDENTIFIER`
  RegularExpression Id.
  `static final int`
  `INT_LITERAL`
  RegularExpression Id.
  `static final int`
  `LENGTH`
  RegularExpression Id.
  `static final int`
  `LETTER`
  RegularExpression Id.
  `static final int`
  `LOCATE`
  RegularExpression Id.
  `static final int`
  `LOWER`
  RegularExpression Id.
  `static final int`
  `MAX`
  RegularExpression Id.
  `static final int`
  `MIN`
  RegularExpression Id.
  `static final int`
  `MINUTE`
  RegularExpression Id.
  `static final int`
  `MOD`
  RegularExpression Id.
  `static final int`
  `MONTH`
  RegularExpression Id.
  `static final int`
  `NOT_EXISTS`
  RegularExpression Id.
  `static final int`
  `NULL`
  RegularExpression Id.
  `static final int`
  `OPERATOR`
  RegularExpression Id.
  `static final int`
  `PROPERTY_PATH`
  RegularExpression Id.
  `static final int`
  `SECOND`
  RegularExpression Id.
  `static final int`
  `SINGLE_QUOTED_STRING`
  RegularExpression Id.
  `static final int`
  `SQRT`
  RegularExpression Id.
  `static final int`
  `STRING_ESC`
  RegularExpression Id.
  `static final int`
  `SUBSTRING`
  RegularExpression Id.
  `static final int`
  `SUM`
  RegularExpression Id.
  `static final String[]`
  `tokenImage`
  Literal token values.
  `static final int`
  `TRIM`
  RegularExpression Id.
  `static final int`
  `TRUE`
  RegularExpression Id.
  `static final int`
  `UPPER`
  RegularExpression Id.
  `static final int`
  `WEEK`
  RegularExpression Id.
  `static final int`
  `WithinDoubleQuoteLiteral`
  Lexical state.
  `static final int`
  `WithinSingleQuoteLiteral`
  Lexical state.
  `static final int`
  `YEAR`
  RegularExpression Id.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExpressionParserTokenManager(JavaCharStream stream)`
  Constructor.
  `ExpressionParserTokenManager(JavaCharStream stream, int lexState)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Token`
  `getNextToken()`
  Get the next Token.
  `protected Token`
  `jjFillToken()`
  `void`
  `ReInit(JavaCharStream stream)`
  Reinitialise parser.
  `void`
  `ReInit(JavaCharStream stream, int lexState)`
  Reinitialise parser.
  `void`
  `setDebugStream(PrintStream ds)`
  Set debug output.
  `void`
  `SwitchTo(int lexState)`
  Switch to specified lex state.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### debugStream

    public PrintStream debugStream
    Debug output.

  - ### jjstrLiteralImages

    public static final String[] jjstrLiteralImages
    Token literal values.

  - ### lexStateNames

    public static final String[] lexStateNames
    Lexer state names.

  - ### jjnewLexState

    public static final int[] jjnewLexState
    Lex State array.

  - ### input_stream

    protected JavaCharStream input_stream

  - ### curChar

    protected int curChar

- ## Constructor Details

  - ### ExpressionParserTokenManager

    public ExpressionParserTokenManager(JavaCharStream stream)
    Constructor.

  - ### ExpressionParserTokenManager

    public ExpressionParserTokenManager(JavaCharStream stream, int lexState)
    Constructor.

- ## Method Details

  - ### setDebugStream

    public void setDebugStream(PrintStream ds)
    Set debug output.

  - ### jjFillToken

    protected Token jjFillToken()

  - ### getNextToken

    public Token getNextToken()
    Get the next Token.

  - ### ReInit

    public void ReInit(JavaCharStream stream)
    Reinitialise parser.

  - ### ReInit

    public void ReInit(JavaCharStream stream, int lexState)
    Reinitialise parser.

  - ### SwitchTo

    public void SwitchTo(int lexState)
    Switch to specified lex state.